# Interface ValueTree

All Superinterfaces:
  `DocTree, InlineTagTree`

public interface ValueTree extends InlineTagTree
A tree node for an `@value` inline tag.

       {@value reference}
       {@value format reference}

Since:
  1.8

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`
Modifier and Type
Interface
Description
`static enum`
`DocTree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`default TextTree`
`getFormat()`
Returns the format string, or `null` if none was provided.
`ReferenceTree`
`getReference()`
Returns the reference to the value.

### Methods declared in interface DocTree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(DocTreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`DocTree.Kind`
`getKind()`
Returns the kind of this tree.

### Methods declared in interface InlineTagTree

`getTagName`
Modifier and Type
Method
Description
`String`
`getTagName()`
Returns the name of the tag.

## Method Details

### getReference

ReferenceTree getReference()
Returns the reference to the value.

Returns:
  the reference

### getFormat

default TextTree getFormat()
Returns the format string, or `null` if none was provided.

Implementation Requirements:
  This implementation returns `null`.
Returns:
  the format string
Since:
  20